#!/bin/bash

# This script creates a RAW image file for a virtual machine

IMG=$1
SIZE=$2
FS=$3

. /usr/lib/mdvvhdprov/common.sh

echo "Creating the physical drive."
imgcreation.sh ${IMG} ${SIZE}
if [ $? -ne 0 ]; then
	echo "Error while creating image file."
	exit 1
fi

echo "Mounting image as loop device"
losetup /dev/${MAIN_LOOP} ${IMG}
if [ $? -ne 0 ]; then
	echo "Cannot mount image as /dev/${MAIN_LOOP}. Aborting."
	exit 1
fi

echo "Populating the drive with partitions"
partcreation.sh ${SIZE}
if [ $? -ne 0 ]; then
	echo "Partitions creation failed on /dev/${MAIN_LOOP}. Aborting."
	losetup -d /dev/${MAIN_LOOP}
	exit 1
fi

losetup -d /dev/${MAIN_LOOP}
if [ $? -ne 0 ]; then
	echo "Cannot unsetup /dev/${MAIN_LOOP}. Aborting."
	exit 1
fi

echo "Mounting all the partitions as loop devices"
losetup.sh ${IMG}
if [ $? -ne 0 ]; then
	echo "Partitions mount failed. Aborting."
	exit 1
fi

echo "Formatting partitions"
partformat.sh ${FS}
if [ $? -ne 0 ]; then
	echo "Error while formatting. Aborting."
	exit 1
fi
