#!/bin/bash

# This script creates an empty RAW sparse image disk

HDDImg=$1
SIZE=${2}M
DIR=$(dirname ${HDDImg})

usage(){
	echo "$0 hddimgfile"
}

if [ -z ${HDDImg} ]; then
	echo "Empty file image."
	usage
	exit 1
fi

if [ ! -d ${DIR} ]; then
	echo "Cannot access image directory (${DIR})"
	exit 1
fi

dd if=/dev/zero of=${HDDImg} bs=1 count=1 seek=${SIZE}

exit $?
