#!/bin/bash

# This script mounts a populated image file using lodevice.

HDDImg=$1
LOCount=$(losetup -a|wc -l)

. /usr/lib/mdvvhdprov/common.sh

usage(){
	echo "$0 hddimgfile"
}

if [ ! -f ${HDDImg}  ]; then
	echo "Bad file image."
	usage
	exit 1
fi

if [ ${LOCount} -gt 0 ]; then
	echo "Some loopback devices are mounted. Please unmount them before playing with this tool."
	exit 1
fi

echo "Mounting ${HDDImg}"

losetup /dev/${MAIN_LOOP} ${HDDImg}

old_IFS=$IFS
IFS=$'\n'
lines=($(fdisk -u=sectors -l /dev/${MAIN_LOOP}|grep loop|tail -n +2|sed -r "s/\*//g")) # array
IFS=$old_IFS

for p in $(seq 0 $(( ${#lines[*]}-1 )) );
do
	L=${lines[${p}]}
	DEV=`echo $L|sed -r "s/\/dev\/${MAIN_LOOP}p//g"|awk '{ print $1 }'`
	START=$((`echo $L|awk '{ print $2 }'`*512))
	SIZE=$((`echo $L|awk '{ print $4 }'|sed -r "s/\+//g"`*1024))

	echo -n "Looping partition $DEV start at $START and is size $SIZE"
	losetup --offset $START --sizelimit $SIZE /dev/loop$DEV /dev/${MAIN_LOOP}
	echo " ... done."
done;

losetup -a
exit 0
