#!/bin/bash

# This script mounts the /dev/loop[123] partitions to a mountpoint.
# Also populates for basic directories (/boot, /dev, etc.)
# Also bind VFS.

. /usr/lib/mdvvhdprov/common.sh

FS=$1

echo "Mounting filesystem ${ROOT} (${FS})"

mount -t ${FS} /dev/${ROOT_LOOP} ${ROOT} 
if [ ! $? -eq 0 ]; then
	echo "Cannot mount /dev/${ROOT_LOOP} as ${ROOT}, aborting ..."
	exit 1
fi
for dir in boot dev etc home media lib mnt opt proc root sbin srv sys tmp usr var; do
	if [ ! -d ${ROOT}/${dir} ]; then
		mkdir ${ROOT}/${dir}
	fi
done;
chmod 0777 ${ROOT}/tmp

mount -t ${BOOT_FS} /dev/${BOOT_LOOP} ${ROOT}/boot
if [ ! $? -eq 0 ]; then
	echo "Cannot mount /dev/${BOOT_LOOP} as ${ROOT}/boot, aborting ..."
	exit 1
fi

for bind in dev proc sys; do
	mount -o bind /${bind} ${ROOT}/${bind}
done;
